﻿@media screen and (max-width: 992px) {
  .bottom-row {
    flex-direction: column;
    margin: 70px 40px;
  }
}

@media screen and (min-width: 780px) {
  .bottom-row {
    margin: 40px;
  }

  .login-page {
    gap: 0.5rem;
  }

  .containerLogin .form-group-login {
    margin-bottom:1.5rem;
  }
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background-image: url(../asset/bg.svg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position-y: 40vh;
  background-color: #f0f4fb;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.btn-login:disabled {
  background-color: #ccc;
  cursor: not-allowed;
  opacity: 0.6;
}

#emailInput:invalid ~ #loginButton {
  background-color: #ccc;
  cursor: not-allowed;
  opacity: 0.6;
}

#emailInput:valid ~ #loginButton {
  background-color: #005BAA;
  cursor: pointer;
  opacity: 1;
}

.error-page{
  display: flex;
  flex-direction: column;
  align-items: center;
}

.error-page h1, .error-page .request-id, .welcome-page h1{
  color: #fff;
}

.top-logo {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 40px;
}

.bottom-row {
  display: flex;
  justify-content: space-between;
  align-items: center;
  text-align: center;
  gap: 20px;
}

.socialmedia {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.form-group label {
  display: block;
  font-size: small;
  text-align: center;
}

.btn-login {
  width: 100%;
  text-align: center;
  color: white;
  background-color: #005BAA;
  padding: 0.75rem 1.5rem;
  border: none;
  cursor: pointer;
  border-radius:5px;
  font-size: 1rem;
  transition: transform 0.1s ease-in-out;
}

.btn-login:hover:not(:disabled) {
  transform: translateY(-2px);
  color: white;
  font-weight: 500;
}

.welcome-page .logo {
  width: 64px;
}

.icon-banner {
  width: 32px;
}

.body-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.lead {
  text-align: center;
}

.welcome-page li {
  list-style: none;
  padding: 4px;
}

.logged-out-page iframe {
  display: none;
  width: 0;
  height: 0;
}

.grants-page .card {
  margin-top: 20px;
  border-bottom: 1px solid lightgray;
}

.grants-page .card .card-title {
  font-size: 120%;
  font-weight: bold;
}

.grants-page .card .card-title img {
  width: 100px;
  height: 100px;
}

.grants-page .card label {
  font-weight: bold;
}

button.link {
  background: none !important;
  border: none;
  padding: 0 !important;
  /*optional*/
  font-family: arial, sans-serif;
  /*input has OS specific font-family*/
  color: #069;
  text-decoration: underline;
  cursor: pointer;
  font-size: small;
  text-align: center;
}

.forgotpasswordbutton {
  text-align: center;
}

.containerPage{
  font-family: 'Montserrat', sans-serif;
  background-size: cover;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  position: absolute;
  top: 0;
}

.logo-login{
  height: 30px;
}

.footer .logo-login {
  height: 45px;
}

.containerLogin{
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  max-width: 420px;
  justify-content: space-evenly;
}

.login-page{
  display: flex;
  flex-direction: column;
  padding: 2rem;
  gap: 1.5rem;
  margin: 0 1rem;
  background: #fff;
  backdrop-filter: blur(100px);
  border-radius: 10px;
}

.containerLogin .card-header-login {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  align-items: flex-start;
}

.containerLogin .form-group-login {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  margin-bottom:2rem;
}

.containerLogin .form-group-login label {
  font-weight: 500;
  color: #000;
  display: block;
  font-size: 14px;
}

.containerLogin .form-group-login .form-control {
  width: 100%;
  border-radius: 5px;
  padding: 0.5rem 1rem;
  font-size: 14px;
  transition: all 0.2sease;
  height: 3rem;
}

.containerLogin .card-title {
  font-size: 16px;
  font-weight: 400;
  color: #7B7979;
  line-height: 19.5px;
}

.required{
  color: red
}

.containerLogin .footer{
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 1rem;
  align-items: center;
}

.containerLogin .footer-title{
  font-size: 12px;
  font-weight: 500;
  color: #919191;
}

.message-eror-card{
  color: #ff0000;
  background-color: #ffe6e6;
  border: 1px solid #ff0000;
  padding: 10px;
  margin-bottom: 20px;
  border-radius: 5px;
  display: none
}